<?
/*===============================================================================
   
===============================================================================*/

	for($i=0; $i < 24; $i++) { $line_array[] = "$i.00"; }				//   X
	$query_unique	= file($gbl_config['stat_unique']);			//   
	$query_usual	= file($gbl_config['stat_usual']);
	$now_date	= date("G", time());					// 
	$rumonth		= array('Jan'=>'','Feb'=>'','Mar'=>'','Apr'=>'','May'=>'','Jun'=>'','Jul'=>'','Aug'=>'','Sep'=>'','Oct'=>'','Nov'=>'','Dec'=>'');
	$ok_stat		= "C    ".date("d", $gbl_config['date'])." ".$rumonth[date("M", $gbl_config['date'])].", ".date("Y", $gbl_config['date'])." ";
	unset($export_array);

// 
/*============================================================================*/
foreach ($query_unique as $line) {
	$line= trim($line);
	list ($key,$val)=split("\t",$line);
	if ( preg_match ("/".$gbl_var['m']." ".$gbl_var['d']." ".$gbl_var['y']."/i", $key))	{
		$array_unique=split("#",$val);
		foreach($array_unique as $val1) {if (!$val1) $val1=0; $total_unique+=$val1;}
	}
}

foreach ($query_usual as $line) {
	$line= trim($line);
	list ($key,$val)=split("\t",$line);
	if ( preg_match ("/".$gbl_var['m']." ".$gbl_var['d']." ".$gbl_var['y']."/i", $key))	{
		$array_usual=split("#",$val);
		foreach($array_usual as $val1) {if (!$val1) $val1=0; $total_usual+=$val1;}
	}
}

//  
if (!count($array_usual) && !count($array_unique))	{ _message("    ."); }

$im = new Graph(480,360);							// imageWidth [, imageHeight]

$im->setTitle(" ");
$im->setFonf($gbl_config['ttffont']);
$im->period = _getperiod('hour');
$im->stop = date("G", time())-1;

list($maxcount,$max_count)   = _maxarray($array_usual);				//  

$im->setXAxis("",1,1,3,1);						// title, grid, xstr, xline, ydashed
$im->setYAxis("-",0,$maxcount,round($maxcount / 10),1,1,2,1);			// title, min, max, interval, grid, ystr, yline, ydashed
$im->setXLabels(implode(",",$line_array),2,1);					// labels
$im->addDataSeries($gbl_var['gr'], implode(",",$array_usual),"",3);
$im->addDataSeries($gbl_var['gr'], implode(",",$array_unique),"",3);
$im->drawGraph("./output/hit_host_hour.png");					// [filename]

// 
$export_array[] = $ok_stat; $export_array[] = "";
$export_array[] = "  \t\t";

// 
/*============================================================================*/
$table = new Table();

$table->setTableAttr('width=100% cellspacing=1 cellpadding=2 border=0"');		// attributes
$table->setHeadings("  ||");			// headings
$table->setHeaderClass('header|header|header');					// class
$table->setColClass('data|data|data');
$table->setAlign(0, 'L');							// column, 'L' or 'C' or 'R'
$table->setAlign(1, 'R');
$table->setAlign(2, 'C');

$inx = 0;

while ($inx < 24){

	if (!$array_unique[$inx])	$array_unique[$inx]=0;
	if (!$array_usual[$inx])	$array_usual[$inx]=0;

 	//  
 	if (_getperiod('hour') == "now") {
  		if ( $inx < $now_date)	 { $sred++; }
  	} else {
  		$sred++;
  	}

	//  
	if ( ($array_unique[$inx] == $array_unique[$inx-1] || !$inx || $inx==$now_date+1) && _getperiod('hour') == "now") {
		$proc[$inx] = "<span class='no'>&#151;</span>";
	}
	elseif ( $array_unique[$inx] > $array_unique[$inx-1] ) {
		$zn = ($array_unique[$inx] - $array_unique[$inx-1]) / $array_unique[$inx-1] * 100;
		if ($zn) {
	    		$proc[$inx] = "<span class='up'>+"._phpnum($zn)." %</span>";
		} else {
	    		$proc[$inx] = "<span class='no'>&#151;</span>";
		}
	} elseif ( $array_unique[$inx] < $array_unique[$inx-1] ) {
		$zn = ($array_unique[$inx] - $array_unique[$inx-1]) / $array_unique[$inx-1] * 100;
		$proc[$inx] = _phpnum($zn)." %";
	} else {
		$proc[$inx] = "<span class='no'>&#151;</span>";
	}

	if ( $inx == $now_date && _getperiod('hour') == "now") {
		$proc[$inx] = "<span class='no'>[]</span>";
	}

	//  
	if ($inx == $now_date && _getperiod('hour') == "now") {
		$ch = "<span class='now'>".date("d", $gbl_config['date'])." ".$rumonth[date("M", $gbl_config['date'])].", ".$inx.":00</span>";
	} else {
		$ch = date("d", $gbl_config['date'])." ".$rumonth[date("M", $gbl_config['date'])].", ".$inx.":00";
	}

	//  
	if($array_usual[$inx] == $max_count && $max_count) { $ch = "<span class='best'>".$ch."</span>"; }

	//    
	if ($inx > $now_date && _getperiod('hour') == "now") {
		$table->addDataSeries($ch."|<span class='no'>&#151;</span>|".$proc[$inx]);
		$export_array[] = $ch."\t\t".$proc[$inx];
	} else {
		$table->addDataSeries($ch."|".$array_usual[$inx]." / ".$array_unique[$inx]."|".$proc[$inx]);
		$export_array[] = $ch."\t".$array_usual[$inx]." / ".$array_unique[$inx]."\t".$proc[$inx];
	}
$inx++;
}

// 
$export_array = _export_file($export_array, "hit_host_hour_export.txt");

$sred_count_usual = round($total_usual/$sred);
$sred_count_unique = round($total_unique/$sred);

$table->drawTable("./output/hit_host_hour_table.txt");		// [filename]


//  
/*============================================================================*/
$table_short = new Table();

$table_short->setTableAttr('width=100% cellspacing=1 cellpadding=2 border=0"');	// attributes
$table_short->setHeadings("|   :|:");				// headings
$table_short->setHeaderClass('header|header|header');				// class
$table_short->setColClass('data|data|data');
$table_short->setAlign(0, 'L');							// column, 'L' or 'C' or 'R'
$table_short->setAlign(1, 'C');
$table_short->setAlign(2, 'C');

$table_short->addDataSeries("|".$sred_count_usual."|".$total_usual);
$table_short->addDataSeries("|".$sred_count_unique."|".$total_unique);


$table_short->drawTable("./output/hit_host_hour_table_short.txt");	// [filename]
?>