<?
/*===============================================================================
     
===============================================================================*/
	$query_lang	= file($gbl_config['lang']);			//   
	$rumonth		= array('Jan'=>'','Feb'=>'','Mar'=>'','Apr'=>'','May'=>'','Jun'=>'','Jul'=>'','Aug'=>'','Sep'=>'','Oct'=>'','Nov'=>'','Dec'=>'');
	$ok_stat		= "C    ".$rumonth[date("M", $gbl_config['date'])]." ".date("Y", $gbl_config['date'])." ";
	unset($export_array);

// 
/*============================================================================*/
foreach ($query_lang as $line) {
	$line= trim($line);
	list ($key,$val,$zn)=split("\t",$line);
	if ( preg_match ("/".$gbl_var['m']."/i", $key) && preg_match ("/".$gbl_var['y']."/i", $key) ) {
		$array_lang[$val] += $zn;
		$total_lang += $zn;
	}
}

// 
arsort($array_lang);

//  
if (!count($array_lang))	{ _message("    ."); }
if ($gbl_var['gr'] == 'L')	{ _message("    ."); }

$im = new Graph(480,360);							// imageWidth [, imageHeight]

$im->setTitle(" ");
$im->setFonf($gbl_config['ttffont']);
$im->period = "now";
$im->stop = date("G", time())-1;

//   
if (count($array_lang) < 10 )	{ $stop = count($array_lang); }
else			{ $stop = 10; }

list($maxcount,$max_count)   = _maxarray($array_lang);			//  

$im->setXAxis("",1,1,3,1);					// title, grid, xstr, xline, ydashed
$im->setYAxis("-",0,$maxcount,round($maxcount / 10),1,1,2,1);		// title, min, max, interval, grid, ystr, yline, ydashed
$im->setXLabels("",2,1);						// labels

$inx=0;
foreach($array_lang as $ar_key=>$ar_val) {

	if ( strlen($ar_key) > 20)	{ $descr = substr($ar_key,0,20)."..."; }
	else			{ $descr = $ar_key; }
	$ttt = $ar_val + 1;
	$im->addDataSeries($gbl_var['gr'], $ttt, $descr,3);
	$inx++;
	if ($inx >= $stop ) break;
}

$im->drawGraph("./output/lang_month.png");					// [filename]

// 
$export_array[] = $ok_stat; $export_array[] = "";
$export_array[] = "\t-";

// 
/*============================================================================*/
$table = new Table();

$table->setTableAttr('width=100% cellspacing=1 cellpadding=2 border=0"');		// attributes
$table->setHeadings("|-");					// headings
$table->setHeaderClass('header|header');					// class
$table->setColClass('data|data');
$table->setAlign(0, 'L');							// column, 'L' or 'C' or 'R'
$table->setAlign(1, 'C');

$inx=0;
foreach($array_lang as $ar_key=>$ar_val) {

	$table->addDataSeries($ar_key."|".$ar_val);
	$export_array[] = $ar_key."\t".$ar_val;
	$inx++;
	if ($inx >= $stop ) break;
}

// 
$export_array = _export_file($export_array, "lang_month_export.txt");

$table->drawTable("./output/lang_month_table.txt");				// [filename]

//  
/*============================================================================*/
$table_short = new Table();

$table_short->setTableAttr('width=100% cellspacing=1 cellpadding=2 border=0"');	// attributes
$table_short->setHeadings("|:");						// headings
$table_short->setHeaderClass('header|header');					// class
$table_short->setColClass('data|data');
$table_short->setAlign(0, 'L');							// column, 'L' or 'C' or 'R'
$table_short->setAlign(1, 'C');

$table_short->addDataSeries("|".$total_lang);

$table_short->drawTable("./output/lang_month_table_short.txt");	// [filename]
?>