<?
/*===============================================================================
 
===============================================================================*/
function _html($path,$htmlescape) {

        if(!file_exists($path))
        {
                die("  : \"$path\".");
        }
        $fp=fopen($path,"r");
        $contents=fread($fp,filesize($path));
        if($htmlescape == 1)
        {
                $contents=htmlspecialchars($contents);
         }
	unset($path);

return $contents;
}

/*===============================================================================
 
===============================================================================*/
function _browser() {

	$browser = array(
		"ABrowse" => "abrowse ([0-9.]+)",
		"AOL" => "aol[- ]([0-9.]+)",
		"Beonex" => "beonex/([0-9.]+)",
		"Columbus" => "columbus[/ ]([0-9.]+)",
		"Curl" => "curl[/ ]([0-9.]+)",
		"Dillo" => "dillo/([0-9.]+)",
		"Firebird" => "Firebird/([0-9.]*)",
		"Galeon" => "galeon/([0-9.]+)",
		"IBrowse" => "ibrowse/([0-9.]+)",
		"Java" => "java[/ ]([0-9.]+)",
		"Lotus Notes" => "Lotus-Notes[/ ]([0-9.]+)",
		"K-Meleon" => "K-Meleon ([0-9.]*)",
		"Konqueror" => "konqueror/([0-9.]+)",
		"Links" => "Links \(([0-9.]+)",
		"Lynx" => "lynx/([0-9.]+)",
		"Mosaic" => "mosaic[/ ]([0-9.]+)",
		"NetPositive" => "netpositive[/ ]([0-9.]+)",
		"Opera" => "opera[/ ]([0-9.]+)",
		"Phoenix" => "Phoenix/([0-9.]*)",
		"StarOffice" => "staroffice[/ ]([0-9.]+)",
		"Voyager" => "voyager[/ ]([0-9.]+)",
		"w3m" => "w3m/([0-9.]+)",
		"Webtv" => "webtv/([0-9.]+)",
		"Explorer" => "MSIE ([0-9.]+)",
		"Netscape" => "netscape[0-9]*/([0-9.]+)",
		"Netscape" => "netscape[0-9]*/([0-9.]+)",
		"Netscape (m)" => "mozilla/([0-4][0-9.]+)",
		"Mozilla" => "mozilla/[5-9][0-9.]+[[:print:][:space:]]+rv:([0-9a-z.]+)",
		"Mozilla (m)" => "mozilla/([5-9][[:alnum:].]+)"
		);

return $browser;
}


/*===============================================================================
 
===============================================================================*/
function _lang() {

	$lang = array(
		"" => "en([-_][[:alpha:]]{2})?|english",
		"" => "ru|russian",
		"" => "fr([-_][[:alpha:]]{2})?|french",
		"" => "de([-_][[:alpha:]]{2})?|german",
		"" => "it|italian",
		'' => "es([-_][[:alpha:]]{2})?|spanish"
	);

return $lang;
}

/*===============================================================================
   
===============================================================================*/
function _getperiod($for) {
	
	global $gbl_var, $gbl_config;
	
	$end_month = $gbl_config['date_now'] + ( date("t", $gbl_config['date_now']) - date("d", $gbl_config['date_now']) +1 ) *60*60*24;
	$start_month = $gbl_config['date_now'] - (date("d", $gbl_config['date_now'])-1) *60*60*24;
	
	$num_day = date("w", $gbl_config['date_now']);	if ($num_day == 0) $num_day=7;
	$start_week = date("d")-$num_day+1;	if ( $start_week < 0 ) { $start_week = 1; }
	$end_week = 7-$num_day + date("d");	if ( $end_week > date("t", $gbl_config['date_now']) ) { $end_week = date("t", $gbl_config['date_now']); }

	switch ($for) {
		case 'hour':
			if ($gbl_config['date_now'] == $gbl_config['date'])		{ $period =  "now"; }
			elseif ($gbl_config['date'] < $gbl_config['date_now'])	{ $period =  "last"; }
			elseif ($gbl_config['date'] > $gbl_config['date_now'])	{ $period =  "next"; }
			break;
		case 'day':
			if ($gbl_config['date'] < $start_month)		{ $period =  "last"; }
			elseif ($gbl_config['date'] > $end_month)	{ $period =  "next"; }
			else					{ $period =  "now"; }
			break;
		case 'week':
			$s_week = strtotime(date("m")."/".$start_week);
			$e_week = strtotime(date("m")."/".$end_week);		
			if ($gbl_config['date'] < $s_week)		{ $period =  "last"; }
			elseif ($gbl_config['date'] > $e_week)		{ $period =  "next"; }
			else 					{ $period =  "now"; }
			break;			
	}

return $period;
}

/*===============================================================================
   
===============================================================================*/
function _phpnum($x) {

	$x = sprintf ("%s",round(100*$x)/100);

	$x=strip_tags($x);
	$x=ereg_replace ("&nbsp;","", $x);
	$x=ereg_replace (" ","", $x);
	$x=ereg_replace (chr(160),"", $x);
	$x=ereg_replace ("\.",",", $x);
	$x=trim($x);

return $x;
}

/*===============================================================================
   
===============================================================================*/
function _maxarray($array) {

	$array_sort = $array;
	rsort($array_sort);
	$t_max=array_shift($array_sort);

	$maxcount=1;
	while($t_max>=$maxcount) { $maxcount = $maxcount+10; }
	$maxcount --;

return array($maxcount,$t_max);
}

/*===============================================================================
    
===============================================================================*/
function _message($string) {

	$url = getenv("HTTP_REFERER");

	$temp_html = preg_replace("/{%(\w+)%}/ee", "$\\1",_html("./themes/message.htm",0));
	print preg_replace("/<%(\w+)%>/ee", "\\1", $temp_html);

exit;
}

/*===============================================================================
   
===============================================================================*/
function _export_file($string_array, $filename) {

	$fp = fopen("./output/".$filename, 'w');
	
	foreach ($string_array as $string) {
		$string = strip_tags($string);
		$string = ereg_replace("&#151;","",$string);
		fwrite($fp,$string."\n");
	}
	
	fclose($fp);
}

/*===============================================================================
   
===============================================================================*/
function _get_export_file($filename) {

	$file = file("./output/".$filename);

return $export_array;
}

/*===============================================================================
   
===============================================================================*/
function _get_online() {

	global $gbl_config;

	$data_array=file($gbl_config['online']);

return count($data_array);
}
?>